Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.siemens.icm.misc
Class Watchdog

    java.lang.Object
      com.siemens.icm.misc.Watchdog

public class Watchdog
extends Object

The Watchdog class provides the ability to control the CPUs hardware watchdog from application level.
There is a built-in HW watchdog in the system. When this watchdog triggers the module either switches off, reboots, or does nothing. This depends on the watchdog settings (see at^scfg=Userware/Watchdog). This HW watchdog action might occur with a delay of up to 14s and with a general tolerance of 1%. That means when you configure the watchdog to e.g. 10s and don't service it, the module will switch off/reboot not later than 24s, or when you set it to 200s the watchdog might already trigger after 198s.
The watchdog is disabled when the module starts, the application has to enable it. It is never disabled implicitely. That means that the application has to disable the watchdog again when closing down (i.e. in its destroyApp method. This is especially necessary for OTAP to work correctly.

Method Summary
`static void` | `kick()` Kicks the application level watchdog when it is running.
`static void` | `start(int secs)` Controls the application level watchdog.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### start

    public static void start(int secs)
                      throws IllegalArgumentException

  Controls the application level watchdog. This can either be a start, stop or restart depending on the parameter.

  Parameters:
    `secs` - The number of seconds after which the watchdog will trigger. Valid values are 0 to switch off, or between 10 and 300 to set watchdog time-out.
  Throws:
    `IllegalArgumentException` - if:
    - the parameter is invalid
  See Also:
    `kick()`

### kick

    public static void kick()
                     throws IllegalStateException

  Kicks the application level watchdog when it is running. The watchdog does not time out when it is serviced within its time out interval.

  Throws:
    `IllegalStateException` - if:
    - the watchdog is not running
    - the watchdog already expired
  See Also:
    `start(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IM Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 2.0 of IM Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.